Deployment Pipelines
The Bearer API key of your user more info.
an integer specifying the starting point (beginning with 0) when paging through a list of entities
0the maximum number of results when paging through a list of deployment pipelines
50The deployment pipelines
Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language
Dynamic params based on the chosen integration type of the pipeline
nullDeployment pipeline API integration params
nullGET /api/deployment-pipelines HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
The deployment pipelines
[
{
"id": 1,
"name": "text",
"integrationType": "text",
"integrationKey": "text",
"eventFilter": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"params": "null",
"integrationUrl": "text",
"managedBy": {
"type": "API",
"source": "text"
},
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
}
}
]The Bearer API key of your user more info.
Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language
Dynamic params based on the chosen integration type of the pipeline
nullDeployment pipeline API integration params
nullThe newly created depoyment pipeline
Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language
Dynamic params based on the chosen integration type of the pipeline
nullDeployment pipeline API integration params
nullPOST /api/deployment-pipelines HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 290
{
"id": 1,
"name": "text",
"integrationType": "text",
"integrationKey": "text",
"eventFilter": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"params": "null",
"integrationUrl": "text",
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
}
}The newly created depoyment pipeline
{
"id": 1,
"name": "text",
"integrationType": "text",
"integrationKey": "text",
"eventFilter": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"params": "null",
"integrationUrl": "text",
"managedBy": {
"type": "API",
"source": "text"
},
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
}
}The Bearer API key of your user more info.
entity ID
The requested deployment pipeline
Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language
Dynamic params based on the chosen integration type of the pipeline
nullDeployment pipeline API integration params
nullGET /api/deployment-pipelines/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
The requested deployment pipeline
{
"id": 1,
"name": "text",
"integrationType": "text",
"integrationKey": "text",
"eventFilter": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"params": "null",
"integrationUrl": "text",
"managedBy": {
"type": "API",
"source": "text"
},
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
}
}The Bearer API key of your user more info.
entity ID
Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language
Dynamic params based on the chosen integration type of the pipeline
nullDeployment pipeline API integration params
nullThe updated deployment pipeline
Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language
Dynamic params based on the chosen integration type of the pipeline
nullDeployment pipeline API integration params
nullPUT /api/deployment-pipelines/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 290
{
"id": 1,
"name": "text",
"integrationType": "text",
"integrationKey": "text",
"eventFilter": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"params": "null",
"integrationUrl": "text",
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
}
}The updated deployment pipeline
{
"id": 1,
"name": "text",
"integrationType": "text",
"integrationKey": "text",
"eventFilter": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"params": "null",
"integrationUrl": "text",
"managedBy": {
"type": "API",
"source": "text"
},
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
}
}The Bearer API key of your user more info.
entity ID
Empty body delete response
DELETE /api/deployment-pipelines/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
Empty body delete response
No content
The Bearer API key of your user more info.
unique name of the deployment pipeline
The requested deployment pipeline
Defines an optional event filter condition in ICL language. Incoming deployment events that do not match the condition are dropped. The condition is evaluated against the deployment event, e.g. event.version, event.environment, event.repository or the raw provider payload via event.customDetails. More info on syntax: https://docs.ilert.com/rest-api/icl-ilert-condition-language
Dynamic params based on the chosen integration type of the pipeline
nullDeployment pipeline API integration params
nullGET /api/deployment-pipelines/name/{name} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
The requested deployment pipeline
{
"id": 1,
"name": "text",
"integrationType": "text",
"integrationKey": "text",
"eventFilter": "text",
"teams": [
{
"id": 1,
"name": "text"
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"params": "null",
"integrationUrl": "text",
"managedBy": {
"type": "API",
"source": "text"
},
"catalogue": {
"id": "text",
"name": "text",
"type": "INBOUND",
"iconUrl": "text",
"documentationUrl": "text",
"integrationPath": "text"
}
}Last updated
Was this helpful?